$Revision: 1.1 $
$Date: 2007/02/27 21:43:46 $

# Functions

## `dbg_msleep(ms)`

Causes a `ms` milliseconds delay in processing for the executing process.

This function can be used to simulate delays.

Meaning of the parameters is as follows:

- ms - delay in milliseconds.

### `dbg_msleep` usage

    ...
    dbg_msleep(1000); # 1 second delay
    ...

## `dbg_abort()`

Forces a core dump (see abort(3)).

### `dbg_abort` usage

    ...
    dbg_abort();
    ...

## `dbg_pkg_status()`

Dumps the local memory malloc fragment list into the log.

### `dbg_pkg_status` usage

    ...
    dbg_pkg_status();
    ...

## `dbg_shm_status()`

Dumps the shared memory malloc fragment list into the log.

### `dbg_shm_status` usage

    ...
    dbg_shm_status();
    ...